Bug 97484 - ps2pdf inserts too much whitespace after fi-ligatures
ps2pdf inserts too much whitespace after fi-ligatures
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-16 11:34 EDT by Rene Uittenbogaard
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:59:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pfm.sh (252 bytes, text/plain)
2003-06-16 11:36 EDT, Rene Uittenbogaard
no flags Details
pfm.pod (5.69 KB, text/plain)
2003-06-16 11:37 EDT, Rene Uittenbogaard
no flags Details

  None (edit)
Description Rene Uittenbogaard 2003-06-16 11:34:47 EDT
Description of problem:
ps2pdf inserts too much whitespace after ligatures

Version-Release number of selected component (if applicable):
ghostscript-7.05-20
groff-1.18-6
perl-5.8.0-55

How reproducible:
with certain files, most of the time on pages 2+

Steps to Reproduce:
1. Use the attached script to create a pfm.pdf file from the pfm.pod file.
2. Run 'gv pfm.ps' and 'acroread pfm.pdf'
3. Observe page 2, line 1, the word 'file'
    
Actual results:
In the postscript document, there is no space between the fi-ligature and the 
last syllable ('le'), the word reads as 'file'.
In the pdf document, there is extra whitespace following the fi-ligature: the 
word reads as 'fi le'

Expected results:
pdf document should look the same.

Additional info:
Comment 1 Rene Uittenbogaard 2003-06-16 11:36:26 EDT
Created attachment 92432 [details]
pfm.sh
Comment 2 Rene Uittenbogaard 2003-06-16 11:37:49 EDT
Created attachment 92433 [details]
pfm.pod

may be converted to .ps and .pdf using the attached script in order to
reproduce the bug
Comment 3 Rene Uittenbogaard 2003-06-16 11:48:00 EDT
Comment on attachment 92432 [details]
pfm.sh 

will convert pfm.pod to pfm.ps and pfm.pdf
Comment 4 Rene Uittenbogaard 2003-06-16 11:49:30 EDT
Comment on attachment 92433 [details]
pfm.pod

may be converted to pfm.ps and pfm.pdf to reproduce
Comment 5 Rene Uittenbogaard 2003-06-24 11:56:29 EDT
ghostscript-6.51-12 does not seem to have the problem.
Comment 6 Bill Nottingham 2006-08-05 00:30:11 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 13:59:51 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.